.stm-divider:not(.is-admin) {
    z-index: 5;
    position: relative;
    background-color: transparent;
    padding-top: calc(100vw * var(--padding-triangle-num, 17.6326981) / 100);
    margin-bottom: calc(100vw * var(--padding-triangle-num, 17.6326981) / -100);
    transform: translateY(-1px);
    transform-origin: center top;
}

.stm-divider.is-mirrored-x { transform: scaleX(-1) translateY(-1px); }
.stm-divider.is-mirrored-y { transform: scaleY(-1) translateY(-1px); }
.stm-divider.is-mirrored-x.is-mirrored-y { transform: scaleX(-1) scaleY(-1) translateY(-1px); }

.stm-divider > * {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    transition: clip-path 0.3s linear;
}

.stm-divider > .item-1 { background-color: var(--wp--preset--color--primary, #009BDF); }
.stm-divider > .item-2 { background-color: var(--wp--preset--color--secondary, #3F535E); }

/* Style 1 */
.stm-divider.is-style-1 .item-1 {
    clip-path: polygon(100% 100%, 100% 0, 0 0);
}

/* Style 2 */
.stm-divider.is-style-2 .item-1 {
    clip-path: polygon(0 0, 50% 50%, 100% 0);
}

.stm-divider.is-style-2 .item-2 {
    clip-path: polygon(50% 50%, 100% 100%, 100% 0);
}

/* Style 3 */
.stm-divider.is-style-3 .item-1 {
    width: 40%;
    height: initial;
    padding-top: calc(40% * var(--padding-triangle-num, 17.6326981) / 100);
    clip-path: polygon(0 0, 0 100%, 100% 0);
}

.stm-divider.is-style-3 .item-2 {
    clip-path: polygon(0 0, 100% 100%, 100% 0);
}

/* Admin */

.stm-divider.is-admin {
    position: relative;
    border: solid 1px #eee;
    background-color: #ffffff;
    background-image:  repeating-linear-gradient(45deg, #eeeeee 25%, transparent 25%, transparent 75%, #eeeeee 75%, #eeeeee), repeating-linear-gradient(45deg, #eeeeee 25%, #ffffff 25%, #ffffff 75%, #eeeeee 75%, #eeeeee);
    background-position: 0 0, 10px 10px;
    background-size: 20px 20px;
    opacity: 0.8;
    padding-top: calc(100vw * var(--padding-triangle-num, 17.6326981) / 100);
}

/*
.stm-divider.is-admin > * {
    padding-top: calc(40% * var(--padding-triangle-num, 17.6326981) / 100);
}*/
